Package org.bukkit.event.block

# Class BlockFormEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.block.BlockEvent
org.bukkit.event.block.BlockGrowEvent
org.bukkit.event.block.BlockFormEvent

All Implemented Interfaces:
  `Cancellable`

Direct Known Subclasses:
  `BlockSpreadEvent`, `DragonEggFormEvent`, `EntityBlockFormEvent`

public class BlockFormEvent extends BlockGrowEvent
Called when a block is formed or spreads based on world conditions.

Use `BlockSpreadEvent` to catch blocks that actually spread and don't just "randomly" form.

Examples:

- Snow forming due to a snow storm.
- Ice forming in a snowy Biome like Taiga or Tundra.
- Obsidian / Cobblestone forming due to contact with water.
- Concrete forming due to mixing of concrete powder and water.

If a Block Form event is cancelled, the block will not be formed.

See Also:
  - `BlockSpreadEvent`

## Nested Class Summary

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Field Summary

### Fields inherited from class org.bukkit.event.block.BlockEvent

`block`

## Constructor Summary

Constructors
Constructor
Description
`BlockFormEvent(@NotNull Block block, @NotNull BlockState newState)`

## Method Summary

Modifier and Type
Method
Description
`static @NotNull HandlerList`
`getHandlerList()`
`@NotNull HandlerList`
`getHandlers()`

### Methods inherited from class org.bukkit.event.block.BlockGrowEvent

`getNewState, isCancelled, setCancelled`

### Methods inherited from class org.bukkit.event.block.BlockEvent

`getBlock`

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BlockFormEvent

public BlockFormEvent(@NotNull @NotNull Block block, @NotNull @NotNull BlockState newState)

## Method Details

### getHandlers

@NotNull public @NotNull HandlerList getHandlers()

Overrides:
  `getHandlers` in class `BlockGrowEvent`

### getHandlerList

@NotNull public static @NotNull HandlerList getHandlerList()